Subject: Re: [PATCH 2/7] push: describe --porcelain just like commit and status

From: Michael J Gruber <[email-masked]>
Date: Tue, 15 Feb 2011 07:50:39 +0100

Junio C Hamano venit, vidit, dixit 14.02.2011 20:53:
> Michael J Gruber <[email-masked]> writes:
> 
>> -		OPT_BIT( 0,  "porcelain", &flags, "machine-readable output", TRANSPORT_PUSH_PORCELAIN),
>> +		OPT_BIT( 0,  "porcelain", &flags, "show porcelain output format", TRANSPORT_PUSH_PORCELAIN),
> 
> Thanks, but I wonder if machine-readable is more descriptive than
> "porcelain output format", iow, updating commit/status may be better.
> 
> The option was meant to mean "output format for Porcelain script writers
> to stay machine readable" but it can be misunderstood as "output format
> a Porcelain command would produce with chromes and glitters".

I'm happy with that, too. Generally, I tried to go with the majority
with this unifying series. In fact, we've been unhappy with the name of
that option as well, but the usage text is easier to change.

Michael